SubDownloader will not launch in Snowleopard

Bug #439273 reported by Twileth on 2009-09-30
This bug report is a duplicate of:  Bug #245836: Port Subdownloader to MacOSX. Edit Remove
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
SubDownloader
Undecided
Unassigned

Bug Description

I just downloaded SubDownloader for Mac OSX version 2.0.9.3

When I try to launch SubDownloader on Mac OSX 10.6.1, it just closes immediately.

In console the following is registered:

30/09/09 12.26.51 [0x0-0x186186].org.ivanfernandezcalvo.SubDownloader[1157] base: /Applications/SubDownloader.app/
30/09/09 12.26.51 [0x0-0x186186].org.ivanfernandezcalvo.SubDownloader[1157] CWD: /Applications/SubDownloader.app/Contents/Resources

Any fixes?

PowerMike (mboulade) wrote :

Hi,

The problem is the new default version of Python on Mac OS X 10.6 is 2.6.
You can try to fix this by setting the default version to 2.5 by using this command in the terminal :

defaults write com.apple.versioner.python Version 2.5

Take it back to 2.6 version by using this one if you need to :

defaults write com.apple.versioner.python Version 2.6

It should work now as it used to.

Michael

Kuisathaverat (kuisathaverat) wrote :

I make a new version of the bundle with py2app it is bigger than other but works on intels Mac OS X 10.4 (problably), 10.5 (probably) and 10.6 .
I have to refine it but works

Kuisathaverat (kuisathaverat) wrote :

Do not download it, it is wrong i am uploading the good version

Kuisathaverat (kuisathaverat) wrote :

the file have an error, this new file is correct

Ivan Garcia (capiscuas) wrote :

Updated link in the main page.

Twileth (twileth) wrote :

Thanks

Works like a charm :-)

Marco Rodrigues (gothicx) wrote :

The new Mac OS X now works fine or you changed the default python version ?

Kuisathaverat (kuisathaverat) wrote :

The new bundle have the Python 2.5 inside, and run over this version. I detect a little bug if you have macports installed a PyQT 4.6 libraries installed in it, the bundle try to run this libraries and break. This bug is resolved in this version.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions